a:link { color: #004faf; text-decoration: none } a:visited { color: #672967; text-decoration: none }body { background: white; color: black; } -->

| Classes - Annotated - Tree - Functions - Home - Structure Qte

# QDataSink Class Reference

The QDataSink class is an asynchronous consumer of data. More...

`#include <qasyncio.h>`

Inherits QAsyncIO.

List of all member functions.

## Public Members

- virtual int readyToReceive ()
- virtual void receive ( const uchar *, int count )
- virtual void eof ()
- void maybeReady ()

## Detailed Description

The QDataSink class is an asynchronous consumer of data.

A data sink is an object which receives data from some source in an asynchronous manner. This means that at some time not determined by the data sink, blocks of data are given to it from processing. The data sink is able to limit the maximum size of such blocks which it is currently able to process.

See also QAsyncIO, QDataSource and QDataPump.

## Member Function Documentation

### void QDataSink::eof () `[virtual]`

This function will be called when no more data is available for processing.

### void QDataSink::maybeReady ()

This should be called whenever readyToReceive() might have become non-zero. It is merely calls QAsyncIO::ready() if readyToReceive() is non-zero.

### int QDataSink::readyToReceive () `[virtual]`

The data sink should return a value indicating how much data it is ready to consume. This may be 0.

### void QDataSink::receive ( const uchar *, int count ) `[virtual]`

This function is called to provide data for the data sink. The count will be no more than the amount indicated by the most recent call to readyToReceive(). The sink must use all the provided data.

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2005 Trolltech, all rights reserved.